﻿using Entities.SQLudeoDB;
using Model.Business;
using Model.DTO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Mappers
{
    public static class InquiryMapper
    {
        public static Inquiry FromDTOToModel(this InquiryDTO dto)
        {
            return new Inquiry(dto.Id, dto.Title, dto.Description, dto.IsUser, dto.Database, dto.InquiryTable);
        }

        public static Inquiry FromEntityToModel(this InquiryEntity entity)
        {
            return new Inquiry(entity.Id, entity.Title, entity.Description, entity.IsUser, entity.Database, entity.InquiryTable);
        }

        public static InquiryDTO FromModelToDTO(this Inquiry inquiry)
        {
            return new InquiryDTO(inquiry.Id, inquiry.Title, inquiry.Description, inquiry.IsUser, inquiry.Database, inquiry.InquiryTable);
        }

        public static InquiryEntity FromModelToEntity(this Inquiry inquiry)
        {
            return new InquiryEntity(inquiry.Id, inquiry.Title, inquiry.Description, inquiry.IsUser, inquiry.Database, inquiry.InquiryTable);
        }
    }
}
