﻿using Entities.SQLudeoDB;
using Model.Business;
using Model.DTO;

namespace Services
{
    public interface IDataService
    {
        public Task<IEnumerable<UserDTO>> GetUsers(int page, int number);
        public Task<UserDTO> GetUserById(int id);
        public Task<UserDTO> GetUserByUsername(string username);
        public Task<bool> DeleteUser(int id);
        public Task<UserDTO> UpdateUser(int id, UserDTO user);
        public Task<UserDTO> CreateUser(string username, string password, string email, bool isAdmin);
        public IEnumerable<InquiryDTO> GetInquiries(int page, int number);
        public InquiryDTO GetInquiryById(int id);
        public InquiryDTO GetInquiryByTitle(string title);
        public bool DeleteInquiry(int id);
        public InquiryDTO UpdateInquiry(int id, InquiryDTO inquiry);
        public UserDTO CreateInquiry(string title, string description, bool isUser, InquiryTableEntity database, SolutionEntity inquiryTable);
        public IEnumerable<InquiryDTO> GetLessons(int page, int number);
        public InquiryDTO GetLessonById(int id);
        public InquiryDTO GetLessonByTitle(string title);
        public bool DeleteLesson(int id);
        public InquiryDTO UpdateLesson(int id, LessonDTO lesson);
        public UserDTO CreateLesson(string title, string lastPublisher, DateOnly lastEdit);
        public Task<IEnumerable<ParagraphDTO>> GetParagraphs(int page, int number);
        public Task<ParagraphDTO> GetParagraphById(int id);
        public Task<ParagraphDTO> GetParagraphByTitle(string title);
        public Task<bool> DeleteParagraph(int id);
        public Task<ParagraphDTO> UpdateParagraph(int id, ParagraphDTO paragraphDTO);
        public Task<ParagraphDTO> CreateParagraph(string title, string content, string info, string query, string comment);
        public Task<IEnumerable<UserDTO>> GetSuccesses(int page, int number);
        public Task<UserDTO> GetSuccessByUserId(int id);
        public Task<UserDTO> GetSuccessByInquiryId(int id);
        public Task<bool> DeleteSuccess(int id);
        public Task<UserDTO> UpdateSuccess(int id, SuccessDTO success);
        public Task<UserDTO> CreateSuccess(int userId, int inquiryId, bool isFinished);
    }
}
