﻿using Entities.SQLudeoDB;
using Model.DTO;
using Shared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Services
{
    public interface IInquiryDataService : IGenericService<InquiryDTO>
    {
        public IEnumerable<InquiryDTO> GetInquiries(int page, int number);
        public InquiryDTO GetInquiryById(int id);
        public InquiryDTO GetInquiryByTitle(string title);
        public bool DeleteInquiry(int id);
        public InquiryDTO UpdateInquiry(int id, InquiryDTO inquiry);
        public UserDTO CreateInquiry(string title, string description, bool isUser, InquiryTableEntity database, SolutionEntity inquiryTable);
    }
}
