﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Services;
using Model.DTO;
using Shared;
using Model.Business;

namespace Services
{
    public interface IUserDataService<T> : IGenericService<T> where T : class
    {
        public Task<IEnumerable<T?>> GetUsers(int page, int number);
        public Task<T?> GetUserById(int id);
        public Task<T?> GetUserByUsername(string username);
        public Task<bool> DeleteUser(int id);
        public Task<T?> UpdateUser(int id, UserDTO user);
        public Task<T?> CreateUser(string username, string password, string email, bool isAdmin);

    }
}
